# pn_switch_setup – CLI command to modify switch-setup

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to modify switch setup.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

pn_analytics_store
string

Choices:
- default
- optimized

type of disk storage for analytics.

pn_banner string |  | Banner to display on server-switch.
pn_cliswitch string |  | Target switch to run the CLI on.
pn_date string |  | Date.
pn_dns_ip string |  | DNS IP address.
pn_dns_secondary_ip string |  | secondary DNS IP address.
pn_domain_name string |  | Domain name.

pn_enable_host_ports
boolean

Choices:
- no
- yes

Enable host ports by default.

pn_eula_accepted
string

Choices:
- true
- false

Accept EULA.

pn_eula_timestamp string |  | EULA timestamp.

pn_force
boolean

Choices:
- no
- yes

Force analytics-store change even if it involves removing data.

pn_gateway_ip string |  | gateway IPv4 address.
pn_gateway_ip6 string |  | Gateway IPv6 address.
pn_in_band_ip string |  | data in-band IP address.
pn_in_band_ip6 string |  | Data in-band IPv6 address.

pn_in_band_ip6_assign
string

Choices:
- none
- autoconf

Data IPv6 address assignment.

pn_in_band_netmask string |  | Data in-band netmask.
pn_in_band_netmask_ip6 string |  | Data in-band IPv6 netmask.
pn_loopback_ip string |  | loopback IPv4 address.
pn_loopback_ip6 string |  | loopback IPv6 address.
pn_mgmt_ip string |  | Management IP address.
pn_mgmt_ip6 string |  | IPv6 address.

pn_mgmt_ip6_assignment
-

Choices:
- none
- autoconf

IPv6 address assignment.

pn_mgmt_ip_assignment
string

Choices:
- none
- dhcp

IP address assignment.

pn_mgmt_netmask string |  | Netmask.
pn_mgmt_netmask_ip6 string |  | IPv6 netmask.
pn_motd string |  | Message of the Day.
pn_ntp_secondary_server string |  | Secondary NTP server.
pn_ntp_server string |  | NTP server.
pn_password string |  | plain text password.
pn_switch_name string |  | switch name.
pn_timezone string |  | Timezone to be configured.

state
string / required

Choices:
- update

State the action to perform. Use `update` to modify the switch-setup.

## Examples

    - name: Modify switch
      pn_switch_setup:
        pn_cliswitch: "sw01"
        state: "update"
        pn_timezone: "America/New_York"
        pn_in_band_ip: "20.20.1.1"
        pn_in_band_netmask: "24"

    - name: Modify switch
      pn_switch_setup:
        pn_cliswitch: "sw01"
        state: "update"
        pn_in_band_ip6: "2001:0db8:85a3::8a2e:0370:7334"
        pn_in_band_netmask_ip6: "127"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the switch-setup command.
stdout list | always | set of responses from the switch-setup command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.